Results 1 to 4 of 4

Thread: Need area of Hatched area

  1. #1
    Woo! Hoo! my 1st post
    Join Date
    2004-03
    Posts
    1
    Login to Give a bone
    0

    Default Need area of Hatched area

    I would like to know why a hatch patterns properties does not contain area info and is this a variable that could be pulled from hatch control data.

    Thanks for any input.

    RP Bullock
    http://www.graphicsfx.com

  2. #2
    AUGI Addict
    Join Date
    2015-12
    Location
    Arizona
    Posts
    2,478
    Login to Give a bone
    0

    Default Re: Need area of Hatched area

    Look into the PICKSTYLE variable and select the
    associative hatch boundary to get the area, not
    the hatch object itself. I'm thinking the 'reason'
    behind the hatch object not displaying it's area
    is due to the idea that it is a 'graphic' element
    hence gradient fills option, not a 'design' element
    which would display it's area.

  3. #3
    I could stop if I wanted to LanceMcHatton's Avatar
    Join Date
    2002-04
    Location
    Las Vegas, NV, USA
    Posts
    303
    Login to Give a bone
    0

    Default Re: Need area of Hatched area

    What if the hatch doesn't have a boundary line anymore?

  4. #4
    The Silent Type Mike.Perry's Avatar
    Join Date
    2000-11
    Posts
    13,656
    Login to Give a bone
    0

    Default Re: Need area of Hatched area

    Hi

    Have a browse of the following threads -

    hatch woes

    Draw Hatch Boundary

    +

    The following from Peter Jamtgaard via an old LISP Guild post might be of some help -

    Code:
    ; This will only work for hatches without nested islands.
      ; Just an outline with void islands
      (defun C:HATCH_AREA (/ AREA CNT HATOBJ POLOBJ SIGN)
        (setq	HATOBJ (vlax-ename->vla-object
      		 (car (entsel "\nSelect Hatch: "))
      		   )
      	CNT	0
      	AREA   0
      	SIGN   1
        )
        (repeat (vla-get-numberofloops HATOBJ)
      	(setq POLOBJ (vla-getloopat HATOBJ CNT 'LOOP))
      	(setq AREA (+ AREA
      		  (* SIGN
      			 (vla-get-area
      			   (car
      			 (setq XX (vlax-safearray->list LOOP))
      			   )
      			 )
      		  )
      		   )
      	)
      	(setq CNT (1+ CNT))
      	(if	(> SIGN 0)
      	  (setq SIGN -1)
      	)
        )
        AREA
      )

    Have a good one, Mike

Similar Threads

  1. Area of Hatched object
    By nod684 in forum AutoLISP
    Replies: 4
    Last Post: 2009-05-04, 05:44 AM
  2. Area of Hatched Objects
    By nod684 in forum AutoLISP
    Replies: 10
    Last Post: 2009-04-24, 06:12 AM
  3. Hatched area moves rather than stretches; plus Attribute does not array.
    By stephen.coff in forum Dynamic Blocks - Technical
    Replies: 3
    Last Post: 2006-02-08, 10:10 PM
  4. Extend hatched area
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2006-02-07, 08:45 PM
  5. Hatched area calculation
    By alhasanatyk in forum AutoCAD General
    Replies: 2
    Last Post: 2005-03-04, 03:23 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •